// Mayhem Shader File - Created by tm|adreno & tm|ooFunk June 2004

////**Misc Tools Etc**/////

textures/mayhem/_shoot_computer 
{ 
	qer_editorimage textures/tools/_shoot 
	qer_trans 0.5 
	surfaceparm nodraw 
	surfaceparm playerclip 
	surfaceparm monsterclip 
	surfaceparm shotclip 
	surfaceparm trans 
	q3map_material Computer 
	q3map_nolightmap 
}

textures/mayhem/_shoot_glass
{
	qer_editorimage	textures/tools/_shoot
	qer_trans	0.5
	surfaceparm	nodraw
	surfaceparm	playerclip
	surfaceparm	monsterclip
	surfaceparm	shotclip
	surfaceparm	trans
	q3map_material	glass
	q3map_nolightmap
}

textures/mayhem/funk_ladder
{
	qer_editorimage textures/jordan/ladder_forpole
	surfaceparm	trans
	surfaceparm	nonsolid
	q3map_material	SolidMetal
    {
        map textures/jordan/ladder_forpole
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/jordan/ladder_forpole
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/mayhem/control
{
	qer_editorimage textures/liner/bridge_control
	q3map_lightimage textures/liner/bridge_control_glow
	q3map_surfacelight 600
	q3map_material	Computer
	q3map_flare	gfx/misc/lens_flare
	
	{
    		map $lightmap
	}
	{
    		map textures/liner/bridge_control
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/liner/bridge_control_glow
		blendfunc GL_ONE GL_ONE
	}
}

textures/mayhem/control_a
{
	qer_editorimage textures/liner/bridge_control
	q3map_lightimage textures/liner/bridge_control_glow
	q3map_surfacelight 600
	q3map_material	Computer
	q3map_flare	gfx/misc/lens_flare
	
    {
        map $lightmap
    }
    {
        animMap 0.2 textures/liner/bridge_control textures/liner/bridge_control_overlay 
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/mayhem/control_glow
        blendFunc GL_ONE GL_ONE
    }
    {
	  map textures/mayhem/control_glow_f1.jpg
	  blendfunc add
	  rgbgen wave sin .5 .8 0 .8
    }
    {
	  map textures/mayhem/control_glow_f2.jpg
	  blendfunc add
	  rgbgen wave sin .5 .8 .5 .8
    }
}

textures/mayhem/funk_grate
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_material	SolidMetal
	cull	disable
    {
        map textures/mayhem/funk_grate.tga
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mayhem/funk_grate.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/mayhem/metal_sculpture
{
	qer_editorimage textures/mayhem/metal060
	q3map_material	HollowMetal
    {
        map $lightmap
    }
    {
        map textures/common/env_chrome
        blendFunc GL_DST_COLOR GL_ZERO
	  tcGen environment
    }
    {
        map textures/mayhem/metal060
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    }
}

textures/mayhem/metal_duct
{
	qer_editorimage textures/mayhem/metal060
	q3map_material	HollowMetal
    {
        map $lightmap
    }
    {
        map textures/mayhem/metal060
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mayhem/hv_sign
{
	qer_editorimage textures/mayhem/funk_high_voltage
	q3map_material	Canvas
	polygonOffset
    {
        map $lightmap
    }
    {
        map textures/mayhem/funk_high_voltage
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mayhem/part_01
{
	q3map_material	solidmetal
	polygonOffset
    {
        map $lightmap
    }
    {
        map textures/mayhem/part_01
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mayhem/part_02
{
	q3map_material	solidmetal
	polygonOffset
    {
        map $lightmap
    }
    {
        map textures/mayhem/part_02
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mayhem/cweb_1
{	
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/mayhem/cweb_1       
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        
    }
}

textures/mayhem/may_door_button
{
	qer_editorimage textures/hospital/elevator_buttons
	polygonOffset
	q3map_material	SolidMetal
	damageShader	textures/hospital/elevator_buttons_d 1
    {
        map $lightmap
    }
    {
        map textures/hospital/elevator_buttons
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/hospital/elevator_buttons_glow
        blendFunc GL_ONE GL_ONE
    }
}

///***Walls**////

textures/mayhem/marble_black
{
	qer_editorimage textures/mayhem/marble22
	q3map_material	Concrete
    {
        map $lightmap
    }
    {
        map textures/mayhem/marble22
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mayhem/funk_barrier
{
	q3map_material	solidmetal
    {
        map $lightmap
    }
    {
        map textures/mayhem/funk_barrier
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mayhem/funk_barrier_2
{
	q3map_lightimage	textures/mayhem/funk_b_glow
	qer_editorimage	textures/mayhem/funk_barrier_2
	q3map_surfacelight	1000
	q3map_flare	gfx/misc/lens_flare
	q3map_material	hollowmetal
    {
        map $lightmap
    }
    {
        map textures/mayhem/funk_barrier_2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/mayhem/funk_b_glow
        blendFunc GL_ONE GL_ONE
	  rgbgen wave sin 0 .8 0 .6
    }
}

////**Floors**////

textures/mayhem/gravel_roof
{
	qer_editorimage textures/mayhem/ground011
	q3map_material	gravel
    {
        map $lightmap
    }
    {
        map textures/mayhem/ground011
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

////**Ceilings**////


////**Lights** ////

textures/mayhem/tm_red_01
{
	qer_editorimage textures/mayhem/tm_light_red.jpg
	q3map_lightimage textures/mayhem/tm_light_red_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_red.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_red_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 0 .8
	}
}

textures/mayhem/tm_red_02
{
	qer_editorimage textures/mayhem/tm_light_red.jpg
	q3map_lightimage textures/mayhem/tm_light_red_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_red.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_red_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .125 .8
	}
}

textures/mayhem/tm_red_03
{
	qer_editorimage textures/mayhem/tm_light_red.jpg
	q3map_lightimage textures/mayhem/tm_light_red_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_red.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_red_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .250 .8
	}
}

textures/mayhem/tm_red_04
{
	qer_editorimage textures/mayhem/tm_light_red.jpg
	q3map_lightimage textures/mayhem/tm_light_red_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_red.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_red_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .375 .8
	}
}

textures/mayhem/tm_blue_01
{
	qer_editorimage textures/mayhem/tm_light_blue.jpg
	q3map_lightimage textures/mayhem/tm_light_blue_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_blue.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_blue_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 0 .8
	}
}

textures/mayhem/tm_blue_02
{
	qer_editorimage textures/mayhem/tm_light_blue.jpg
	q3map_lightimage textures/mayhem/tm_light_blue_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_blue.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_blue_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .125 .8
	}
}

textures/mayhem/tm_blue_03
{
	qer_editorimage textures/mayhem/tm_light_blue.jpg
	q3map_lightimage textures/mayhem/tm_light_blue_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_blue.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_blue_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .250 .8
	}
}

textures/mayhem/tm_blue_04
{
	qer_editorimage textures/mayhem/tm_light_blue.jpg
	q3map_lightimage textures/mayhem/tm_light_blue_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_blue.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_blue_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .375 .8
	}
}

textures/mayhem/tm_purple_01
{
	qer_editorimage textures/mayhem/tm_light_purple.jpg
	q3map_lightimage textures/mayhem/tm_light_purple_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_purple.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_purple_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 0 .8
	}
}

textures/mayhem/tm_purple_02
{
	qer_editorimage textures/mayhem/tm_light_purple.jpg
	q3map_lightimage textures/mayhem/tm_light_purple_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_purple.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_purple_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .125 .8
	}
}

textures/mayhem/tm_purple_03
{
	qer_editorimage textures/mayhem/tm_light_purple.jpg
	q3map_lightimage textures/mayhem/tm_light_purple_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_purple.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_purple_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .250 .8
	}
}

textures/mayhem/tm_purple_04
{
	qer_editorimage textures/mayhem/tm_light_purple.jpg
	q3map_lightimage textures/mayhem/tm_light_purple_glow.jpg
	polygonOffset
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_material	Glass
	q3map_flare	gfx/misc/lens_flare

	{
		map textures/mayhem/tm_light_purple.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mayhem/tm_light_purple_glow.jpg
		blendfunc add
		rgbgen wave sin .5 .8 .375 .8
	}
}

textures/mayhem/lights_yellow
{
	q3map_lightimage	textures/colors/yellow_light
	qer_editorimage	textures/common/lights_2
	polygonOffset
	q3map_surfacelight	15000
	q3map_flare	gfx/misc/lens_flare
	q3map_material	Glass
    {
        map $lightmap
    }
    {
        map textures/common/lights_2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/common/lights_2_glow
        blendFunc GL_ONE GL_ONE
    }
}

textures/mayhem/lights_green
{
	q3map_lightimage	textures/mayhem/green
	qer_editorimage	textures/common/lights_3
	polygonOffset
	q3map_surfacelight	10000
	q3map_flare	gfx/misc/lens_flare
	q3map_material	Glass
    {
        map $lightmap
    }
    {
        map textures/common/lights_3
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/common/lights_3_glow
        blendFunc GL_ONE GL_ONE
    }
}

textures/mayhem/lights_5_blue_10000
{
	q3map_lightimage	textures/colors/blue_light
	qer_editorimage	textures/common/lights_5_blue
	q3map_surfacelight	10000
	q3map_flare	gfx/misc/lens_flare
	q3map_material	Glass
    {
        map $lightmap
    }
    {
        map textures/common/lights_5_blue
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/common/lights_5_blue_glow
        blendFunc GL_ONE GL_ONE
    }
}


////**Plasma FX** ////

textures/mayhem/plasma_fx
{
	qer_editorimage textures/mayhem/neb_01.tga
	surfaceparm	nonsolid
	surfaceparm noimpact
	q3map_surfacelight 1000
	surfaceparm nomarks
	q3map_material	computer
	q3map_sun 0.654902 0.988235 0.705882 110 180 80
	q3map_flare	gfx/misc/lens_flare
	{
		map textures/mayhem/neb_01.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.32 0.32
		tcMod rotate 12
	}
	{
		map textures/mayhem/neb_01.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.8 0.2
		tcMod turb 0 1 .5 3
	}
}

textures/mayhem/plasma_fx2
{
	qer_editorimage textures/mayhem/neb_01.tga
	surfaceparm noimpact
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm	nonsolid
	q3map_material	computer
	q3map_sun 0.654902 0.988235 0.705882 110 180 80
	q3map_flare	gfx/misc/lens_flare
	{
		map textures/mayhem/neb_01.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.32 0.32
		tcMod rotate 12
	}
	{
		map textures/mayhem/neb_01.tga
		blendfunc add
		rgbGen const ( 0 0.247059 0.456863 )
		tcMod scale 0.12 0.12
		tcMod rotate -34
	}
}

textures/mayhem/plasma_fx3
{
	qer_editorimage textures/mayhem/neb_01_g.tga
	surfaceparm noimpact
	q3map_surfacelight 1000
	surfaceparm nomarks
	q3map_material	computer
	q3map_sun 0.654902 0.988235 0.705882 110 180 80
	q3map_flare	gfx/misc/lens_flare
	{
		map textures/mayhem/neb_01_g.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.32 0.32
		tcMod rotate 12
	}
	{
		map textures/mayhem/neb_01_g.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.8 0.2
		tcMod turb 0 1 .5 3
	}
}

textures/mayhem/plasma_fx4
{
	qer_editorimage textures/mayhem/neb_01_y.tga
	surfaceparm noimpact
	q3map_surfacelight 1000
	surfaceparm nomarks
	q3map_material	computer
	q3map_sun 0.654902 0.988235 0.705882 110 180 80
	q3map_flare	gfx/misc/lens_flare
	{
		map textures/mayhem/neb_01_y.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.32 0.32
		tcMod rotate 12
	}
	{
		map textures/mayhem/neb_01_y.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.8 0.2
		tcMod turb 0 1 .5 3
	}
}

textures/mayhem/plasma_fx_dim
{
	qer_editorimage textures/mayhem/neb_01.tga
	surfaceparm	nonsolid
	surfaceparm noimpact
	q3map_surfacelight 500
	surfaceparm nomarks
	q3map_material	computer
	q3map_sun 0.654902 0.988235 0.705882 40 180 80
	q3map_flare	gfx/misc/lens_flare
	{
		map textures/mayhem/neb_01.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.32 0.32
		tcMod rotate 20
	}
	{
		map textures/mayhem/neb_01.tga
		blendfunc add
		rgbGen const ( 0 0.647059 0.756863 )
		tcMod scale 0.8 0.2
		tcMod turb 0 1 .5 3
	}
}

////**Sky** ////

textures/mayhem/nebula_mayhem
{
	qer_editorimage	textures/tools/editor_images/qer_sky
	q3map_sunExt 0.2 0.2 0.26 50 0 65 2 16
	q3map_sunExt 0.2 0.2 0.26 50 180 65 2 16	
	q3map_lightmapFilterRadius 0 20
	q3map_skyLight 10 3
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	q3map_nolightmap
	notc
	skyParms	textures/mayhem/nebula2 512 -
	{
	map textures/mayhem/funk_nebula.tga
	blendfunc GL_ONE GL_ONE
	tcMod scroll 0.1 0.1
	tcMod scale 0.1 0.1
	}
	{
	map textures/mayhem/funk_nebula.tga
	blendfunc add
	tcMod scale 0.32 0.4
	tcMod rotate -12
	tcMod scroll 0.02 0.02
	}
}

textures/mayhem/nebula_mayhem_02
{
	qer_editorimage	textures/tools/editor_images/qer_sky
	q3map_sunExt 0.2 0.2 0.26 50 0 65 2 16
	q3map_sunExt 0.2 0.2 0.26 50 180 65 2 16	
	q3map_lightmapFilterRadius 0 20
	q3map_skyLight 10 3
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	q3map_nolightmap
	notc
	skyParms	textures/mayhem/nebula2 512 -
}
////**Crates** ////

textures/mayhem/crate_top
{
	qer_editorimage textures/common/crate_nobreak2
	q3map_material	HollowMetal
    {
        map $lightmap
    }
    {
        map textures/common/crate_nobreak2
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mayhem/crate_1
{
	qer_editorimage textures/common/crate_nobreak3
	q3map_material	HollowMetal
    {
        map $lightmap
    }
    {
        map textures/common/crate_nobreak3
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mayhem/crate_2
{
	qer_editorimage textures/common/crate_nobreak4
	q3map_material	HollowMetal
    {
        map $lightmap
    }
    {
        map textures/common/crate_nobreak4
        blendFunc GL_DST_COLOR GL_ZERO
    }
}